##Velocity (1.0.0)

**Docs**  
[VelocityJS.org](http://VelocityJS.org)

**Want to see something amazing?**  
Announcing [Velocity Motion Designer](https://twitter.com/Shapiro/status/508392482967928833)!

**Quickstart**  

Velocity:  
`<script src="//cdn.jsdelivr.net/velocity/1.0.0/velocity.min.js"></script>`

Velocity UI pack:  
`<script src="//cdn.jsdelivr.net/velocity/1.0.0/velocity.ui.min.js"></script>`

Package managers:  
`bower install velocity`  
`npm install velocity-animate`  

###**Updates**

- **1.0.0**: File name changed to `velocity.js`. Read [VelocityJS.org/#dependencies](http://VelocityJS.org/#dependencies). 
- **0.1.0**: `stop` now stops animations *immediately* (instead of only clearing the remainder of the animation queue). No other backwards-incompatible changes were made.

###**Learn**

- **Motion design**: [smashingmagazine.com/2014/06/18/faster-ui-animations-with-velocity-js](http://smashingmagazine.com/2014/06/18/faster-ui-animations-with-velocity-js)
- **Animating without jQuery**: [smashingmagazine.com/2014/09/04/animating-without-jquery](http://www.smashingmagazine.com/2014/09/04/animating-without-jquery/)
- **Performance comparisons**: [davidwalsh.name/css-js-animation](http://davidwalsh.name/css-js-animation)
- **Workflow**: [css-tricks.com/improving-ui-animation-workflow-velocity-js](http://css-tricks.com/improving-ui-animation-workflow-velocity-js)

###**Comparisons**

- **Famo.us** is a full-fledged app framework built around a physics engine.
- **CSS transitions** are meant for simple interface flourishes.
- **jQuery's $.animate()** is slow and poorly-equipped for motion design.
- **Velocity** is a fast, feature-rich standalone alternative to jQuery's $.animate().

###**Credits**

- <a href="https://stripe.com/blog/stripe-open-source-retreat">Stripe</a> sponsors Velocity's development.
- <a href="http://browserstack.com">BrowserStack</a> provides Velocity's testing services. 

====

[MIT License](LICENSE.md). © Julian Shapiro (http://twitter.com/shapiro).
